/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
 // ============================================================
 // BEGIN Enable multiple onload functions
 
 // setup onload functions this way:
 // aOnloadFunctions[aOnloadFunctions.length] = function_name; // without brackets!
 
 if (!window.aOnloadFunctions) {
  var aOnloadFunctions = new Array();
 }
 
 window.onload = function() {
  if (window.aOnloadFunctions) {
    for (var _i=0; _i<aOnloadFunctions.length; _i++) {
      aOnloadFunctions[_i]();
    }
  }
 }
 
 // END Enable multiple onload functions
 // ============================================================

 // ============================================================
 // BEGIN menu for selecting subsets of special characters
 //***** must match MediaWiki:Edittools *****
 function addCharSubsetMenu() {
  var edittools = document.getElementById('specialchars');
 
  if (edittools) {
    var menu = "<select style=\"display:inline\" onChange=\"chooseCharSubset(selectedIndex)\">";
    menu += "<option>Sünnerteken</option>";
    menu += "<option>Düütsch</option>";
    menu += "<option>Neegreeksch</option>";
    menu += "<option>Kyrillsch</option>";
    menu += "<option>IPA</option>";
    menu += "<option>Tschechsch</option>";
    menu += "<option>AHD</option>";
    menu += "<option>Esperanto</option>";
    menu += "<option>Estnisch</option>";
    menu += "<option>Franzöösch</option>";
    menu += "<option>Hawaiiaansch</option>";
    menu += "<option>Kroaatsch</option>";
    menu += "<option>Islandsch</option>";
    menu += "<option>Italieensch</option>";
    menu += "<option>Katalaansch</option>";
    menu += "<option>Malteesch</option>";
    menu += "<option>Mathematsche Symbolen</option>";
    menu += "<option>Pinyin</option>";
    menu += "<option>Poolsch</option>";
    menu += "<option>Portugeesch</option>";
    menu += "<option>Romaji</option>";
    menu += "<option>Rumäänsch</option>";
    menu += "<option>Skandinaavsch</option>";
    menu += "<option>Serbsch</option>";
    menu += "<option>Ooltengelsch</option>";
    menu += "<option>Spaansch</option>";
    menu += "<option>Walissch</option>";
    menu += "<option>Vietnameesch</option>";
    menu += "</select>";
    edittools.innerHTML = menu + edittools.innerHTML;
 
    /* default subset - try to use a cookie some day */
    chooseCharSubset(0);
  }
 }
 
 /* select subsection of special characters */
 function chooseCharSubset(s) {
  var l = document.getElementById('specialchars').getElementsByTagName('p');
  for (var i = 0; i < l.length ; i++) {
    l[i].style.display = i == s ? 'inline' : 'none';
    l[i].style.visibility = i == s ? 'visible' : 'hidden';
  }
 }
 
 aOnloadFunctions[aOnloadFunctions.length] = addCharSubsetMenu;
 
 // END menu for selecting subsets of special characters 
 // ============================================================

 // ============================================================
 // BEGIN pageview counter
 // 	Please talk to User:LeonWeber before changing anything or 
 // 	if there are any issues with that.
 
 // this should be adjusted to a good value.
 // BE CAREFULL, you will break zedler if it's too low!
 // And then DaB. will kill Leon :-(
 var disable_counter = 0;
 var counter_factor = 5; 
 
 function pgcounter_setup()
 {
 	if(disable_counter == 0)
 	{
 		var url = window.location.href;
 		if(Math.floor(Math.random()*counter_factor)==3)  // the probability thing
  		{
  			if(wgIsArticle==true) // do not count history pages etc.
 			{
 				var pgcountNs = wgCanonicalNamespace;
 				if(wgCanonicalNamespace=="")
 				{
 					pgcountNs = "0";
 				}
  				var cnt_url = "http://pgcount.wikimedia.de/index.png?ns=" + pgcountNs + "&title=" + encodeURI(wgTitle) + "&factor=" + counter_factor + "&wiki=ndswiki";
 				var img = new Image(); 
 				img.src = cnt_url;
 			}
 		}
 	}
 }
 // Do not use aOnloadFunctions[aOnloadFunctions.length] = pgcounter_setup;, some browsers don't like that.
 pgcounter_setup();
 
 // END pageview counter 
 // ============================================================

 // ============================================================
 // BEGIN Dynamic PortalNav
 // NEEDS Enable multiple onload functions 
 
 // set up the words in your language
 var PortalNavHide = ' [wedder inklappen]';
 var PortalNavShow = ' [mehr]';
  
 // shows and hides content (if available) of PortalNav
 // Parameters:
 //     indexPortalNav: the index of PortalNav to be toggled
 function togglePortalNav(indexPortalNav)
 {
    var PortalNavToggle = document.getElementById("PortalNavToggle" + indexPortalNav);
 	var PortalNavPanel = document.getElementById(indexPortalNav);
 
    if (!PortalNavToggle) {
        return false;
    }
 
    // if shown now
    if (PortalNavToggle.firstChild.data == PortalNavHide) {
 		PortalNavToggle.firstChild.data = PortalNavShow;
 		PortalNavPanel.style.display = 'none';
 		document.getElementById("toggle_" + indexPortalNav).appendChild(PortalNavToggle);
 		PortalNavPanel.removeChild(PortalNavPanel.firstChild);
 		PortalNavPanel.removeChild(PortalNavPanel.firstChild);
    // if hidden now
    } else if (PortalNavToggle.firstChild.data == PortalNavShow) {
        PortalNavToggle.firstChild.data = PortalNavHide;
 		PortalNavPanel.style.display = 'block';
 		var PortalNavPanelTitle = document.createTextNode(document.getElementById("toggle_" + indexPortalNav).firstChild.innerHTML);
 		var PortalNavPanelTitleDiv = document.createElement("div");
 		PortalNavPanelTitleDiv.style.textAlign = 'left';
 		PortalNavPanelTitleDiv.style.fontWeight = 'bold';
 		PortalNavPanelTitleDiv.insertBefore(document.createElement("hr"), PortalNavPanelTitleDiv.firstChild);
 		PortalNavPanelTitleDiv.insertBefore(PortalNavPanelTitle, PortalNavPanelTitleDiv.firstChild);
 		PortalNavPanel.insertBefore(PortalNavPanelTitleDiv, PortalNavPanel.firstChild);
 		PortalNavPanel.insertBefore(PortalNavToggle, PortalNavPanel.firstChild);
    }
 }
 
 // adds show/hide-button to PortalNav
 function createPortalNavToggleButton()
 {
    var indexPortalNav = 0;
    // iterate over all < span >-elements
    for(
            var i=0; 
            PortalNavFrame = document.getElementsByTagName("span")[i]; 
            i++
        ) {
        // if found a navigation bar
        if (PortalNavFrame.className == "PortalNavLink") {
 
            indexPortalNav++;
            var PortalNavToggle = document.createElement("a");
            PortalNavToggle.className = 'PortalNavToggle';
            PortalNavToggle.setAttribute('class', 'PortalNavToggleLink');
            PortalNavToggle.setAttribute('id', 'PortalNavToggle' + PortalNavFrame.id.substr(7,20));
            PortalNavToggle.setAttribute('href', 'javascript:togglePortalNav("' + PortalNavFrame.id.substr(7,20) + '");');
 
            var PortalNavToggleText = document.createTextNode(PortalNavShow);
            PortalNavToggle.appendChild(PortalNavToggleText);			
 
            // add PortalNavToggle-Button as first div-element 
            // in < div class="NavFrame" >
            PortalNavFrame.appendChild(PortalNavToggle);
        }
    }
 }
 aOnloadFunctions[aOnloadFunctions.length] = createPortalNavToggleButton;
 
 // END Dynamic PortalNav
 // ============================================================

 // ============================================================
 // Lenk "All Spraken" op Hööftsiet
 
 function mainPageAppendCompleteListLink() {
     try {
         var node = document.getElementById( "p-lang" )
                            .getElementsByTagName('div')[0]
                            .getElementsByTagName('ul')[0];
 
         var aNode = document.createElement( 'a' );
         var liNode = document.createElement( 'li' );
 
         aNode.appendChild( document.createTextNode( 'All Spraken' ) );
         aNode.setAttribute( 'href' , 'http://nds.wikipedia.org/wiki/Wikipedia:Spraken' );
         liNode.appendChild( aNode );
         liNode.className = 'interwiki-completelist';
         node.appendChild( liNode );
      } catch(e) {
        // lets just ignore what's happened
        return;
     }
 }
  
 if ( wgTitle == 'Hööftsiet' && wgNamespaceNumber == 4 ) {
        addOnloadHook( mainPageAppendCompleteListLink );
 }
 
 // Lenk "All Spraken" op Hööftsiet
 // ============================================================

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* Deprecated; use [[MediaWiki:common.js]] */